Bug 17341 - Enhance the report action button on guided_reports.pl
Summary: Enhance the report action button on guided_reports.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-23 15:13 UTC by Christopher Brannon
Modified: 2017-06-14 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17341: Enhance the report action button on guided_reports.pl (5.24 KB, patch)
2016-09-26 11:18 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17341: Enhance the report action button on guided_reports.pl (5.35 KB, patch)
2016-09-26 16:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17341: Enhance the report action button on guided_reports.pl (5.37 KB, patch)
2016-09-28 08:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2016-09-23 15:13:40 UTC
Would love to see the action button default to run, with an arrow dropdown button to the side that reveals the rest of the actions.
Comment 1 Josef Moravec 2016-09-26 11:18:29 UTC
Created attachment 55821 [details] [review]
Bug 17341: Enhance the report action button on guided_reports.pl

Test plan:
1) Apply the patch
2) Go to saved reports page
3) In the most right column of table you should see "Run" button with caret button, the first one should run the report, the second one should work asi menu trigger
4) Ensure that all report actions works as before
Comment 2 Owen Leonard 2016-09-26 16:11:57 UTC
Created attachment 55822 [details] [review]
[SIGNED-OFF] Bug 17341: Enhance the report action button on guided_reports.pl

Test plan:
1) Apply the patch
2) Go to saved reports page
3) In the most right column of table you should see "Run" button with
   caret button, the first one should run the report, the second one
   should work asi menu trigger
4) Ensure that all report actions works as before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2016-09-28 08:21:18 UTC
Created attachment 55864 [details] [review]
Bug 17341: Enhance the report action button on guided_reports.pl

Test plan:
1) Apply the patch
2) Go to saved reports page
3) In the most right column of table you should see "Run" button with
   caret button, the first one should run the report, the second one
   should work asi menu trigger
4) Ensure that all report actions works as before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Christopher Brannon 2016-09-28 16:00:19 UTC
Nice job, and so fast!  Just tested it.  Looks great.  I think this is a great standard for Koha.  :)
Comment 5 Kyle M Hall 2016-10-21 17:36:02 UTC
Pushed to master for 16.11, thanks Josef!